ServerEvents.recipes(event => {
        //upgrade_base
		let inter_upgrade_base= 'sophisticatedbackpacks:upgrade_base'
        event.recipes.createSequencedAssembly([
            Item.of('sophisticatedbackpacks:upgrade_base').withChance(100.0),
            Item.of('minecraft:leather').withChance(10.0),
            ],
            'minecraft:leather', [ 
        event.recipes.createPressing(inter_upgrade_base, inter_upgrade_base),  
        event.recipes.createDeploying(inter_upgrade_base, [inter_upgrade_base, 'minecraft:string']),
        event.recipes.createDeploying(inter_upgrade_base, [inter_upgrade_base, 'create:iron_sheet']),    
    ]).transitionalItem(inter_upgrade_base).loops(4).id('chuncklock_create:create/sequencedassembly/upgrade_base')

    //compacting_upgrade
		let inter_compacting_upgrade= 'sophisticatedbackpacks:compacting_upgrade'
        event.recipes.createSequencedAssembly([
            Item.of('sophisticatedbackpacks:compacting_upgrade').withChance(100.0),
            Item.of('minecraft:leather').withChance(10.0),
            ],
            'sophisticatedbackpacks:upgrade_base', [ 
        event.recipes.createDeploying(inter_compacting_upgrade, [inter_compacting_upgrade, 'minecraft:redstone']),
        event.recipes.createDeploying(inter_compacting_upgrade, [inter_compacting_upgrade, 'create:iron_sheet']),
        event.recipes.createDeploying(inter_compacting_upgrade, [inter_compacting_upgrade, 'minecraft:piston']),  
    ]).transitionalItem(inter_compacting_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/compacting_upgrade')

    //deposit_upgrade
    let inter_deposit_upgrade= 'sophisticatedbackpacks:deposit_upgrade'
        event.recipes.createSequencedAssembly([
            Item.of('sophisticatedbackpacks:deposit_upgrade').withChance(100.0),
            Item.of('minecraft:leather').withChance(10.0),
            ],
            'sophisticatedbackpacks:upgrade_base', [ 
        event.recipes.createDeploying(inter_deposit_upgrade, [inter_deposit_upgrade, 'minecraft:redstone']),
        event.recipes.createDeploying(inter_deposit_upgrade, [inter_deposit_upgrade, 'create:iron_sheet']),
        event.recipes.createDeploying(inter_deposit_upgrade, [inter_deposit_upgrade, 'minecraft:piston']),
        event.recipes.createDeploying(inter_deposit_upgrade, [inter_deposit_upgrade, 'minecraft:chest']),
    ]).transitionalItem(inter_deposit_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/deposit_upgrade')

    //lasting_upgrade
    let inter_everlasting_upgrade= 'sophisticatedbackpacks:everlasting_upgrade'
        event.recipes.createSequencedAssembly([
            Item.of('sophisticatedbackpacks:everlasting_upgrade').withChance(100.0),
            Item.of('minecraft:leather').withChance(10.0),
            ],
            'sophisticatedbackpacks:upgrade_base', [ 
        event.recipes.createDeploying(inter_everlasting_upgrade, [inter_everlasting_upgrade, 'minecraft:nether_star']),
        event.recipes.createDeploying(inter_everlasting_upgrade, [inter_everlasting_upgrade, 'minecraft:end_crystal']),    
    ]).transitionalItem(inter_everlasting_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/everlasting_upgrade')
    //feeding_upgrade
    let inter_feeding_upgrade= 'sophisticatedbackpacks:feeding_upgrade'
        event.recipes.createSequencedAssembly([
            Item.of('sophisticatedbackpacks:feeding_upgrade').withChance(100.0),
            Item.of('minecraft:leather').withChance(10.0),
            ],
            'sophisticatedbackpacks:upgrade_base', [ 
        event.recipes.createDeploying(inter_feeding_upgrade, [inter_feeding_upgrade, 'minecraft:glistering_melon_slice']),
        event.recipes.createDeploying(inter_feeding_upgrade, [inter_feeding_upgrade, 'minecraft:golden_apple']),
        event.recipes.createDeploying(inter_feeding_upgrade, [inter_feeding_upgrade, 'minecraft:ender_pearl']),
        event.recipes.createDeploying(inter_feeding_upgrade, [inter_feeding_upgrade, 'minecraft:golden_carrot']),    
    ]).transitionalItem(inter_feeding_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/feeding_upgrade')

     //inception_upgrade
     let inter_inception_upgrade= 'sophisticatedbackpacks:inception_upgrade'
     event.recipes.createSequencedAssembly([
         Item.of('sophisticatedbackpacks:inception_upgrade').withChance(100.0),
         Item.of('minecraft:leather').withChance(10.0),
         ],
         'sophisticatedbackpacks:upgrade_base', [ 
     event.recipes.createDeploying(inter_inception_upgrade, [inter_inception_upgrade, 'minecraft:ender_eye']),
     event.recipes.createDeploying(inter_inception_upgrade, [inter_inception_upgrade, 'minecraft:nether_star']),
     event.recipes.createDeploying(inter_inception_upgrade, [inter_inception_upgrade, 'minecraft:diamond']),
    ]).transitionalItem(inter_inception_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/inception_upgrade')

    //magnet_upgrade
    let inter_magnet_upgrade = 'sophisticatedbackpacks:magnet_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:magnet_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_magnet_upgrade, [inter_magnet_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_magnet_upgrade, [inter_magnet_upgrade, 'create:iron_sheet']),
    event.recipes.createDeploying(inter_magnet_upgrade, [inter_magnet_upgrade, 'minecraft:ender_pearl']),
    event.recipes.createDeploying(inter_magnet_upgrade, [inter_magnet_upgrade, 'minecraft:lapis_lazuli']),
    ]).transitionalItem(inter_magnet_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/magnet_upgrade')

    //pickup_upgrade
    let inter_pickup_upgrade = 'sophisticatedbackpacks:pickup_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:pickup_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_pickup_upgrade, [inter_pickup_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_pickup_upgrade, [inter_pickup_upgrade, 'create:iron_sheet']),
    event.recipes.createDeploying(inter_pickup_upgrade, [inter_pickup_upgrade, 'minecraft:sticky_piston']),
    ]).transitionalItem(inter_pickup_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/pickup_upgrade')

    //void_upgrade
    let inter_void_upgrade = 'sophisticatedbackpacks:void_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:void_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_void_upgrade, [inter_void_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_void_upgrade, [inter_void_upgrade, 'minecraft:obsidian']),
    event.recipes.createDeploying(inter_void_upgrade, [inter_void_upgrade, 'minecraft:ender_pearl']),
    ]).transitionalItem(inter_void_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/void_upgrade')

    //refill_upgrade
    let inter_refill_upgrade = 'sophisticatedbackpacks:refill_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:refill_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_refill_upgrade, [inter_refill_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_refill_upgrade, [inter_refill_upgrade, 'create:iron_sheet']),
    event.recipes.createDeploying(inter_refill_upgrade, [inter_refill_upgrade, 'minecraft:ender_pearl']),
    event.recipes.createDeploying(inter_refill_upgrade, [inter_refill_upgrade, 'minecraft:chest']),
    ]).transitionalItem(inter_refill_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/refill_upgrade')

    //restock_upgrade
    let inter_restock_upgrade = 'sophisticatedbackpacks:restock_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:restock_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_restock_upgrade, [inter_restock_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_restock_upgrade, [inter_restock_upgrade, 'create:iron_sheet']),
    event.recipes.createDeploying(inter_restock_upgrade, [inter_restock_upgrade, 'minecraft:ender_pearl']),
    event.recipes.createDeploying(inter_restock_upgrade, [inter_restock_upgrade, 'minecraft:chest']),
    ]).transitionalItem(inter_restock_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/restock_upgrade')

    //smelting_upgrade
    let inter_smelting_upgrade = 'sophisticatedbackpacks:smelting_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:smelting_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_smelting_upgrade, [inter_smelting_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_smelting_upgrade, [inter_smelting_upgrade, 'create:iron_sheet']),
    event.recipes.createDeploying(inter_smelting_upgrade, [inter_smelting_upgrade, 'minecraft:furnace']),
    ]).transitionalItem(inter_smelting_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/smelting_upgrade')

  
    //sfilter_upgrade
    let inter_filter_upgrade = 'sophisticatedbackpacks:filter_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:filter_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_filter_upgrade, [inter_filter_upgrade, 'minecraft:redstone']),
    event.recipes.createDeploying(inter_filter_upgrade, [inter_filter_upgrade, 'minecraft:string']),
    ]).transitionalItem(inter_filter_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/filter_upgrade')

    //smoking_upgrade
    let inter_smoking_upgrade = 'sophisticatedbackpacks:smoking_upgrade'
    event.recipes.createSequencedAssembly([
        Item.of('sophisticatedbackpacks:smoking_upgrade').withChance(100.0),
        Item.of('minecraft:leather').withChance(10.0),
        ],
        'sophisticatedbackpacks:upgrade_base', [ 
    event.recipes.createDeploying(inter_smoking_upgrade, [inter_smoking_upgrade, 'sophisticatedbackpacks:smelting_upgrade']),
    event.recipes.createDeploying(inter_smoking_upgrade, [inter_smoking_upgrade, '#minecraft:logs']),
    ]).transitionalItem(inter_smoking_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/smoking_upgrade')

     //blasting_upgrade
     let inter_blasting_upgrade = 'sophisticatedbackpacks:blasting_upgrade'
     event.recipes.createSequencedAssembly([
         Item.of('sophisticatedbackpacks:blasting_upgrade').withChance(100.0),
         Item.of('minecraft:leather').withChance(10.0),
         ],
         'sophisticatedbackpacks:upgrade_base', [ 
     event.recipes.createDeploying(inter_blasting_upgrade, [inter_blasting_upgrade, 'minecraft:redstone']),
     event.recipes.createDeploying(inter_blasting_upgrade, [inter_blasting_upgrade, 'create:iron_sheet']),
     event.recipes.createDeploying(inter_blasting_upgrade, [inter_blasting_upgrade, 'minecraft:blast_furnace']),
     ]).transitionalItem(inter_blasting_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/blasting_upgrade')

     //crafting_upgrade
     let inter_crafting_upgrade = 'sophisticatedbackpacks:crafting_upgrade'
     event.recipes.createSequencedAssembly([
         Item.of('sophisticatedbackpacks:crafting_upgrade').withChance(100.0),
         Item.of('minecraft:leather').withChance(10.0),
         ],
         'sophisticatedbackpacks:upgrade_base', [ 
     event.recipes.createDeploying(inter_crafting_upgrade, [inter_crafting_upgrade, 'minecraft:crafting_table']),
     event.recipes.createDeploying(inter_crafting_upgrade, [inter_crafting_upgrade, 'create:iron_sheet']),
     event.recipes.createDeploying(inter_crafting_upgrade, [inter_crafting_upgrade, 'minecraft:chest']),
     ]).transitionalItem(inter_crafting_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/crafting_upgrade')
    
     //stonecutter_upgrade
     let inter_stonecutter_upgrade = 'sophisticatedbackpacks:stonecutter_upgrade'
     event.recipes.createSequencedAssembly([
         Item.of('sophisticatedbackpacks:stonecutter_upgrade').withChance(100.0),
         Item.of('minecraft:leather').withChance(10.0),
         ],
         'sophisticatedbackpacks:upgrade_base', [ 
     event.recipes.createDeploying(inter_stonecutter_upgrade, [inter_stonecutter_upgrade, 'minecraft:redstone']),
     event.recipes.createDeploying(inter_stonecutter_upgrade, [inter_stonecutter_upgrade, 'create:iron_sheet']),
     event.recipes.createDeploying(inter_stonecutter_upgrade, [inter_stonecutter_upgrade, 'minecraft:stonecutter']),
     ]).transitionalItem(inter_stonecutter_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/stonecutter_upgrade')

     //jukebox_upgrade
     let inter_jukebox_upgrade = 'sophisticatedbackpacks:jukebox_upgrade'
     event.recipes.createSequencedAssembly([
         Item.of('sophisticatedbackpacks:jukebox_upgrade').withChance(100.0),
         Item.of('minecraft:leather').withChance(10.0),
         ],
         'sophisticatedbackpacks:upgrade_base', [ 
     event.recipes.createDeploying(inter_jukebox_upgrade, [inter_jukebox_upgrade, 'minecraft:redstone']),
     event.recipes.createDeploying(inter_jukebox_upgrade, [inter_jukebox_upgrade, 'create:iron_sheet']),
     event.recipes.createDeploying(inter_jukebox_upgrade, [inter_jukebox_upgrade, 'minecraft:jukebox']),
     ]).transitionalItem(inter_jukebox_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/jukebox_upgrade')

      //pump_upgrade
      let inter_pump_upgrade = 'sophisticatedbackpacks:pump_upgrade'
      event.recipes.createSequencedAssembly([
          Item.of('sophisticatedbackpacks:pump_upgrade').withChance(100.0),
          Item.of('minecraft:leather').withChance(10.0),
          ],
          'sophisticatedbackpacks:upgrade_base', [ 
      event.recipes.createDeploying(inter_pump_upgrade, [inter_pump_upgrade, 'create:mechanical_pump']),
      ]).transitionalItem(inter_pump_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/pump_upgrade')

      //tank_upgrade
      let inter_tank_upgrade = 'sophisticatedbackpacks:tank_upgrade'
      event.recipes.createSequencedAssembly([
          Item.of('sophisticatedbackpacks:tank_upgrade').withChance(100.0),
          Item.of('minecraft:leather').withChance(10.0),
          ],
          'sophisticatedbackpacks:upgrade_base', [ 
      event.recipes.createDeploying(inter_tank_upgrade, [inter_tank_upgrade,  'create:fluid_tank']),
      ]).transitionalItem(inter_tank_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/tank_upgrade')

      //battery_upgrade
      let inter_battery_upgrade = 'sophisticatedbackpacks:battery_upgrade'
      event.recipes.createSequencedAssembly([
          Item.of('sophisticatedbackpacks:battery_upgrade').withChance(100.0),
          Item.of('minecraft:leather').withChance(10.0),
          ],
          'sophisticatedbackpacks:upgrade_base', [ 
      event.recipes.createDeploying(inter_battery_upgrade, [inter_battery_upgrade, 'minecraft:redstone_block']),
      event.recipes.createDeploying(inter_battery_upgrade, [inter_battery_upgrade, 'minecraft:gold_ingot']),
      ]).transitionalItem(inter_battery_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/battery_upgrade')

       //tool_swapper_upgrade
       let inter_tool_swapper_upgrade = 'sophisticatedbackpacks:tool_swapper_upgrade'
       event.recipes.createSequencedAssembly([
           Item.of('sophisticatedbackpacks:tool_swapper_upgrade').withChance(100.0),
           Item.of('minecraft:leather').withChance(10.0),
           ],
           'sophisticatedbackpacks:upgrade_base', [ 
       event.recipes.createDeploying(inter_tool_swapper_upgrade, [inter_tool_swapper_upgrade,  'minecraft:wooden_sword']),
       event.recipes.createDeploying(inter_tool_swapper_upgrade, [inter_tool_swapper_upgrade,  'minecraft:wooden_axe']),
       event.recipes.createDeploying(inter_tool_swapper_upgrade, [inter_tool_swapper_upgrade,  'minecraft:wooden_pickaxe']),
       event.recipes.createDeploying(inter_tool_swapper_upgrade, [inter_tool_swapper_upgrade,  'minecraft:wooden_shovel']),
       ]).transitionalItem(inter_tool_swapper_upgrade).loops(1).id('chuncklock_create:create/sequencedassembly/tool_swapper_upgrade')
    
         //precision_mechanism
       let inter_precision_mechanism = 'create:incomplete_precision_mechanism'
       event.recipes.createSequencedAssembly([
           Item.of('create:precision_mechanism').withChance(120.0),
           Item.of('create:golden_sheet').withChance(8.0),
           Item.of('create:andesite_alloy').withChance(8.0),
           Item.of('create:cogwheel').withChance(5.0),
           Item.of('minecraft:gold_nugget').withChance(3.0),
           Item.of('create:shaft').withChance(3.0),
           Item.of('create:crushed_raw_gold').withChance(2.0),
           ],
           'create:golden_sheet', [ 
       event.recipes.createDeploying(inter_precision_mechanism, [inter_precision_mechanism,  'create:cogwheel']),
       event.recipes.createDeploying(inter_precision_mechanism, [inter_precision_mechanism,  'create:large_cogwheel']),
       event.recipes.createDeploying(inter_precision_mechanism, [inter_precision_mechanism,  'create:iron_sheet']),
       ]).transitionalItem(inter_precision_mechanism).loops(4).id('chuncklock_create:create/sequencedassembly/precision_mechanism')

        //glistering_melon_slice ['minecraft:carrot', 'minecraft:golden_carrot']
        let inter_glistering_melon_slice= 'minecraft:glistering_melon_slice'
        event.recipes.createSequencedAssembly([
            Item.of('minecraft:glistering_melon_slice').withChance(100.0),
        ],
            'minecraft:melon_slice', [ 
        event.recipes.createDeploying(inter_glistering_melon_slice, [inter_glistering_melon_slice,  'minecraft:gold_nugget'])
        ]).transitionalItem(inter_glistering_melon_slice).loops(8).id('chuncklock_create:create/sequencedassembly/glistering_melon_slice')

        //golden_carrot
        let inter_golden_carrot= 'minecraft:golden_carrot'
        event.recipes.createSequencedAssembly([
            Item.of('minecraft:golden_carrot').withChance(100.0),
        ],
            'minecraft:carrot', [ 
        event.recipes.createDeploying(inter_golden_carrot, [inter_golden_carrot,  'minecraft:gold_nugget'])
        ]).transitionalItem(inter_golden_carrot).loops(8).id('chuncklock_create:create/sequencedassembly/golden_carrot')



































})
